#
# spec file for package psmisc (Version 22.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           psmisc
Url:            http://switch.dl.sourceforge.net/sourceforge/psmisc/
License:        GPL v2 or later
Group:          System/Monitoring
PreReq:         %fillup_prereq %insserv_prereq
AutoReqProv:    on
Version:        22.1
Release:        14.8.27
Provides:       ps:/usr/bin/killall
Summary:        Utilities for managing processes on your system
Source:         http://switch.dl.sourceforge.net/sourceforge/psmisc/psmisc-%{version}.tar.bz2
Patch0:         %name-21.5.diff
Patch1:         fuser-afunix-misc.diff
Patch2:         psmisc-fuser-silent.patch
Patch3:         psmisc-fuser-64bit-tcp-fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.



Authors:
--------
    Werner Almesberger

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2
%patch3 -p1

%build
autoreconf -fi
CFLAGS="-D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 ${RPM_OPT_FLAGS} -pipe"
CC=gcc
export CFLAGS CC
sh ./configure --prefix=%{_prefix} --mandir=%{_mandir}
make CFLAGS="$CFLAGS -DLOCALEDIR=\\\"/usr/share/locale\\\"" "CC=$CC"

%install
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/bin/
mv $RPM_BUILD_ROOT/usr/bin/fuser $RPM_BUILD_ROOT/bin/
%find_lang psmisc

%clean
rm -rf $RPM_BUILD_ROOT

%files -f psmisc.lang
%defattr (-,root,root,755)
/bin/fuser
%{_bindir}/oldfuser
%{_bindir}/killall
%{_bindir}/pstree
%{_bindir}/pstree.x11
%{_mandir}/man1/fuser.1*
%{_mandir}/man1/killall.1*
%{_mandir}/man1/pstree.1*

%changelog
* Tue Jun 24 2008 werner@suse.de
- Add backported fix to fuser to show TCP IPv6 ports even on 64bit
  (bnc#402117)
* Wed Feb  8 2006 max@suse.de
- Fix exit code of fuser in silent mode [#148563].
* Fri Jan 27 2006 mmj@suse.de
- Fix finding AF_UNIX sockets [#142342]
- Fix minor nits with net_*
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 mmj@suse.de
- Update to psmisc-22.1 including:
  * Updated PO files
  * fuser signals eg -INT work better
  * removed space out of fuser man page for -signal
  * fuser -s flag works
  * fix grep lines in Makefile for i386 arches
* Fri Dec 16 2005 mmj@suse.de
- update to psmisc-21.9 including:
  * Fixed install-exec-hook so only symlink pstree.x11 if file does
    not exist already.
  * buffer overflow in killall scanf removed
  * Fixed segfault in pstree -a
  * fuser can not use IPv6, for things like uClibc
  * configure has --disable-ipv6 for above
  * fuser finds unix sockets
  * fixed print_matches to only print unmatched objects if -a is
    specified and to output the header for -v
  * fixed argument parsing to handle groups like -av again
* Fri Dec  9 2005 ro@suse.de
- disable selinux
* Tue Nov  8 2005 mmj@suse.de
- add patch to fix print_matches and commandline arguments parsing
* Sun Nov  6 2005 mmj@suse.de
- fuser returns 1 if no match found like before [#132180]
* Tue Nov  1 2005 mmj@suse.de
- Update to psmisc-21.7
* Mon Aug  8 2005 meissner@suse.de
- fixed buffer overflow in -k failure case with pids >= 10000
* Mon Aug 16 2004 garloff@suse.de
- Update to psmisc-21.5:
  * bugs fixed: UTF-8 line truncation (SF#757164), ss_family
    (SF#845292), docu (fuser, ...)
  * POSIX compat: -m option, ignore -f, fuser output, case
    insensitive options for -I.
  * Cleanups: dev_t and ino_t usage, automake update
  * pstree -A(SCII) flag
- Rediff patches.
* Tue Jul 20 2004 schwab@suse.de
- Use autoreconf.
* Sun Apr  4 2004 kukuk@suse.de
- Add split alias [Bug #38279]
* Sun Feb 15 2004 stepan@suse.de
- update to v21.4
* Sat Feb 14 2004 kukuk@suse.de
- Split from ps package
